"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.agileProjectCreate = void 0;
const coreInterfaces = __importStar(require("azure-devops-node-api/interfaces/CoreInterfaces"));
const constants_1 = require("../../../../../../../constants");
const extensions_1 = require("../../../../../../../extensions");
const options_1 = require("../../../../../../../options");
const utils_1 = require("../../../../../../../utils");
exports.agileProjectCreate = new extensions_1.Command()
    .name("create")
    .description("Create Project with Agile Provider")
    .addAgileProviderOptions()
    .optionInteractive(options_1.agileProjectDescriptionInteractiveOption)
    .addAction((serviceCollection, options) => __awaiter(void 0, void 0, void 0, function* () {
    const { logger, getAgileService } = serviceCollection;
    const agileService = getAgileService(options);
    const sourceControlType = utils_1.Config.getValue(constants_1.ConfigKey.AgileDefaultSourceControl);
    // template for agile project
    const templateId = utils_1.Config.getValue(constants_1.ConfigKey.AgileDefaultProjectTemplateId);
    const { projectName, projectDescription } = options;
    const project = {
        name: projectName,
        description: projectDescription,
        visibility: coreInterfaces.ProjectVisibility.Organization,
        capabilities: {
            versioncontrol: {
                sourceControlType: sourceControlType,
            },
            processTemplate: {
                templateTypeId: templateId,
            },
        },
    };
    yield agileService.createProject(project);
    logger.log(`Agile project ${projectName} has been created`);
}));
