"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.agileProjectDelete = void 0;
const extensions_1 = require("../../../../../../../extensions");
exports.agileProjectDelete = new extensions_1.Command()
    .name("delete")
    .description("Delete Project with Agile Provider")
    .addAgileProviderOptions()
    .addAction((serviceCollection, options) => __awaiter(void 0, void 0, void 0, function* () {
    const { logger, getAgileService, inputService } = serviceCollection;
    const agileService = getAgileService(options);
    const { projectName } = options;
    const project = yield agileService.getProject(projectName);
    if (!project) {
        throw new Error(`Cannot find project ${projectName}`);
    }
    if (yield inputService.confirmAction()) {
        logger.log("\nDeleting project...");
        yield agileService.deleteProject(project);
        logger.log(`Agile project ${projectName} has been deleted`);
    }
    else {
        logger.log("Operation cancelled");
    }
}));
