"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.playbookTemplateInit = void 0;
const extensions_1 = require("../../../../../../../extensions");
const utils_1 = require("../../../../../../../utils");
exports.playbookTemplateInit = new extensions_1.Command()
    .name("init")
    .description("Copy templates from playbook to local working directory")
    .addPlaybookOptions()
    .option("-b, --branch <branch>", "Branch of playbook repo to use")
    .option("-t, --template-name <template-name>", "Playbook template name")
    .option("-o, --out-path <out-path>", "Local path to which file will be written.")
    .addAction((serviceCollection, options) => __awaiter(void 0, void 0, void 0, function* () {
    const { logger, getPlaybookService, inputService } = serviceCollection;
    const playbookService = getPlaybookService(options);
    const { templateName, outPath } = options;
    yield utils_1.downloadTemplates(() => playbookService.getTemplates(), (outputFileName, template) => playbookService.downloadTemplate(outputFileName, template), inputService, logger, templateName, outPath);
}));
