"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.repoCreate = void 0;
const extensions_1 = require("../../../../../extensions");
const options_1 = require("../../../../../options");
/**
 * Create a new repo
 */
exports.repoCreate = new extensions_1.Command()
    .name("create")
    .description("Create a repository")
    .addRepoProviderOptions()
    .optionInteractive(options_1.repoNameInteractiveOption)
    .addAction((services, options) => __awaiter(void 0, void 0, void 0, function* () {
    const { logger, getRepoService } = services;
    const repoService = getRepoService(options);
    const { repoName } = options;
    const createdRepo = yield repoService.createRepo(repoName);
    const { name, id, remoteUrl } = createdRepo;
    logger.log(`${id} - ${name} ${remoteUrl}`);
}));
