"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.urlCommand = void 0;
const command_1 = require("./command");
const open_1 = __importDefault(require("open"));
/**
 * Create command to open URL in browser
 *
 * @param {Link} link Link
 * @param {string|undefined} path Path after base URL
 * @param {ServiceCollection} serviceCollection Service collection - creates one if not provided
 * @returns {Command} Command to open url in broswer
 */
function urlCommand(link, path, serviceCollection) {
    const { name, description, url } = link;
    return new command_1.Command()
        .name(name)
        .description(description)
        .setServiceCollection(serviceCollection)
        .addAction(() => __awaiter(this, void 0, void 0, function* () {
        yield open_1.default(`${url}${path ? path : ""}`);
    }));
}
exports.urlCommand = urlCommand;
