"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AgileServiceFactory = void 0;
class AgileServiceFactory {
    // eslint-disable-next-line @typescript-eslint/explicit-module-boundary-types,@typescript-eslint/no-explicit-any
    static register(providerName, service) {
        AgileServiceFactory.registry[providerName] = service;
    }
    static get(options, inputService, logger) {
        const { agileProvider } = options;
        const service = AgileServiceFactory.registry[agileProvider];
        if (!service) {
            throw new Error(`Agile service ${agileProvider} not defined. Options are ${Object.keys(this.registry).join(",")}`);
        }
        return new service(options, inputService, logger);
    }
}
exports.AgileServiceFactory = AgileServiceFactory;
// eslint-disable-next-line @typescript-eslint/no-explicit-any
AgileServiceFactory.registry = {};
