"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LoggerFactory = void 0;
class LoggerFactory {
    static register(providerName, logger) {
        LoggerFactory.registry[providerName] = logger;
    }
    static get(providerName) {
        const logger = LoggerFactory.registry[providerName];
        if (!logger) {
            throw new Error(`Logger service ${providerName} not defined. Options are ${Object.keys(this.registry).join(",")}`);
        }
        return logger;
    }
}
exports.LoggerFactory = LoggerFactory;
LoggerFactory.registry = {};
