"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MetricsFactory = void 0;
class MetricsFactory {
    static register(providerName, metrics) {
        this.registry[providerName] = metrics;
    }
    static get(providerName) {
        const metrics = this.registry[providerName];
        if (!metrics) {
            throw new Error(`Metrics service ${providerName} not defined. Options are ${Object.keys(this.registry).join(",")}`);
        }
        return metrics;
    }
    static getIfRegistered(providerName) {
        return this.registry[providerName];
    }
}
exports.MetricsFactory = MetricsFactory;
MetricsFactory.registry = {};
