"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlaybookServiceFactory = void 0;
const constants_1 = require("../constants");
const services_1 = require("../services");
const utils_1 = require("../utils");
const repoServiceFactory_1 = require("./repoServiceFactory");
class PlaybookServiceFactory {
    static get(options, contentService, storageService) {
        const playbookOwner = utils_1.Config.getValue(constants_1.ConfigKey.PlaybookOwnerName);
        const playbookRepoName = utils_1.Config.getValue(constants_1.ConfigKey.PlaybookRepoName);
        const repoService = repoServiceFactory_1.RepoServiceFactory.get({
            repoProvider: services_1.RepoServiceProvider.GitHub,
            accessToken: options.playbookAccessToken || "",
            baseUrl: `https://github.com/${playbookOwner}`,
            projectName: playbookRepoName,
        }, contentService);
        return new services_1.CodeWithPlaybookService(repoService, contentService, storageService);
    }
}
exports.PlaybookServiceFactory = PlaybookServiceFactory;
