"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RepoServiceFactory = void 0;
class RepoServiceFactory {
    // eslint-disable-next-line @typescript-eslint/no-explicit-any,@typescript-eslint/explicit-module-boundary-types
    static register(providerName, service) {
        RepoServiceFactory.registry[providerName] = service;
    }
    static get(options, contentService) {
        const { repoProvider } = options;
        const service = RepoServiceFactory.registry[repoProvider];
        if (!service) {
            throw new Error(`Repo service ${repoProvider} not defined. Options are ${Object.keys(this.registry).join(",")}`);
        }
        return new service(options, contentService);
    }
}
exports.RepoServiceFactory = RepoServiceFactory;
// eslint-disable-next-line @typescript-eslint/no-explicit-any
RepoServiceFactory.registry = {};
