"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hierarchicalBacklogItem = void 0;
const models_1 = require("../../../models");
const now = new Date().toISOString();
exports.hierarchicalBacklogItem = {
    name: `Sample Epic ${now}`,
    type: models_1.BacklogItemType.Epic,
    description: `This is my sample epic created on ${now}`,
    children: [
        {
            name: `Sample Feature ${now}`,
            type: models_1.BacklogItemType.Feature,
            description: "This is my sample feature",
            children: [
                {
                    name: `Sample Story ${now}`,
                    type: models_1.BacklogItemType.Story,
                    description: "This is my sample story",
                    acceptanceCriteria: [
                        "This is my acceptance criteria 1",
                        "This is my acceptance criteria 2",
                        "This is my acceptance criteria 3",
                    ],
                    children: [
                        {
                            name: `Sample Task ${now}`,
                            type: models_1.BacklogItemType.Task,
                            description: "This is my sample task",
                        },
                        {
                            name: `Sample Bug ${now}`,
                            type: models_1.BacklogItemType.Bug,
                            description: "This is my sample bug",
                            acceptanceCriteria: ["The bug is fixed"],
                        },
                    ],
                },
            ],
        },
    ],
};
