"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
process.env.NODE_CONFIG_DIR = path_1.join(__dirname, "..", "config");
const fs_1 = require("fs");
const commands_1 = require("../commands");
/**
 * Write commands markdown document
 */
function writeCommandsPage() {
    const md = commands_1.pjr.toMarkdownDoc();
    const pageToc = commands_1.pjr.toTableOfContents();
    const docPath = path_1.join(__dirname, "..", "..", "docs", "commands.md");
    const mdlintDisableComment = "<!-- markdownlint-disable -->";
    const autoGeneratedComment = "<!-- THIS DOCUMENT IS AUTO-GENERATED -->";
    const doc = `${mdlintDisableComment}\n${autoGeneratedComment}\n\n# Commands\n\n${pageToc}\n\n${md}`;
    fs_1.writeFileSync(docPath, doc);
}
writeCommandsPage();
