import { TeamProject } from "azure-devops-node-api/interfaces/CoreInterfaces";
import { AgileProviderOptions, BacklogItem, InputService, Logger, Project, Sprint } from "../../../../models";
import { BaseAgileService } from "../../baseAgileService";
export declare class AzureDevOpsAgileService extends BaseAgileService {
    private projectName;
    private workItemTracking;
    private workApi;
    private coreApi;
    private teamContext?;
    constructor(options: AgileProviderOptions, inputService: InputService, logger: Logger);
    createProject: (project: Project) => Promise<Project>;
    getProject: (name: string) => Promise<Project | null>;
    deleteProject: (project: Project) => Promise<boolean>;
    convertToProject: (teamProject: TeamProject) => Project;
    convertToTeamProject: (project: Project) => TeamProject;
    getBacklogItems: (ids?: string[] | undefined) => Promise<BacklogItem[]>;
    createBacklogItems: (items: BacklogItem[], parent?: BacklogItem | undefined) => Promise<BacklogItem[]>;
    deleteBacklogItems: (ids: string[]) => Promise<void>;
    getSprint: (id: string) => Promise<Sprint>;
    createProviderSprints: (sprints: Sprint[]) => Promise<Sprint[]>;
    deleteSprint: (id: string) => Promise<void>;
    private createProviderSprint;
    private createOrUpdateClassificationNode;
    private deleteNodeAndIterationIfExists;
    private getTeamContext;
    private mapWorkItem;
    private getBacklogItemChildren;
}
