import { TelemetryClient } from "applicationinsights";
import { Properties } from "../../models";
import { BaseLogger } from "./baseLogger";
export declare class ApplicationInsightsLogger extends BaseLogger {
    private client;
    constructor(client: TelemetryClient, defaultProperties?: Properties);
    debug: (message: string, properties?: Properties | undefined) => void;
    log: (message: string, properties?: Properties | undefined) => void;
    warn: (message: string, properties?: Properties | undefined) => void;
    error: (message: string, properties?: Properties | undefined) => void;
    /**
     * Write log to AppInsights with specified severity level.
     *
     * @param {SeverityLevel} severity The severity at which to send the log
     * @param {string} message The log to send to AppInsights
     * @param {Properties | undefined} properties Custom properties to add - see https://github.com/Microsoft/ApplicationInsights-JS#sending-telemetry-to-the-azure-portal
     */
    private writeLog;
}
