"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseLogger = void 0;
class BaseLogger {
    constructor(defaultProperties) {
        this.defaultProperties = defaultProperties;
    }
    logHeader(message) {
        this.log(`\n${message}`);
        this.log("-".repeat(message.length));
    }
    addDefaultProperties(properties) {
        if (this.defaultProperties) {
            this.defaultProperties = Object.assign(Object.assign({}, this.defaultProperties), properties);
        }
        else {
            this.defaultProperties = properties;
        }
    }
}
exports.BaseLogger = BaseLogger;
