import { ObjectService } from ".";
import { InterpolatorService, StorageService } from "../../models";
/**
 * A ObjectService which has an InterpolatorService. The ObjectService uses the
 * InterpolatorService to interpolate objects.
 */
export declare class InterpolatedObjectService<T> extends ObjectService<T> {
    private interpolatorService;
    /**
     * Creates an InterpolatedObjectService.
     *
     * @param {StorageService} storageService The storage service backing.
     * @param {InterpolatorService} interpolatorService The interpolator service
     * backing.
     *
     * @returns {InterpolatedObjectService} An instance of an
     * InterpolatedObjectService.
     */
    constructor(storageService: StorageService, interpolatorService: InterpolatorService);
    protected interpolate(content: string): string;
}
