import { ObjectService } from "../..";
import { Repo, RepoItem, RepoProviderOptions } from "../../../models";
import { BaseRepoService } from "../baseRepoService";
export declare class GitHubRepoService extends BaseRepoService {
    private github;
    private owner;
    constructor(options: RepoProviderOptions, contentService: ObjectService<string>);
    listRepos: () => Promise<Repo[] | undefined>;
    getRepo: () => Promise<Repo | undefined>;
    createRepo: () => Promise<Repo>;
    deleteRepo: () => Promise<void>;
    getRepoItem: (repo: string, path?: string, includeContent?: boolean | undefined, branch?: string | undefined) => Promise<RepoItem>;
    latestCommit: (repo: string, branch?: string) => Promise<string>;
}
