"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DateUtils = void 0;
const constants_1 = require("../constants");
class DateUtils {
    static toSimpleDateString(date) {
        if (!date) {
            return "";
        }
        return date.toLocaleDateString(undefined, {
            weekday: "short",
            year: "numeric",
            month: "short",
            day: "numeric",
        });
    }
    static toNumberDateString(date) {
        return `${date.getMonth() + 1}/${date.getDate()}/${date.getFullYear()}`;
    }
    static addDays(date, days) {
        return new Date(date.getTime() + constants_1.NumberConstants.millisecondsInADay * days);
    }
    static nextMonday() {
        const d = new Date();
        d.setDate(d.getDate() + ((1 + 7 - d.getDay()) % 7));
        return d;
    }
}
exports.DateUtils = DateUtils;
