"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RegexExtractor = void 0;
class RegexExtractor {
    static getGitHubInfo(options) {
        var _a;
        const { baseUrl, projectName } = options;
        const repoUrl = `${baseUrl}${baseUrl.endsWith("/") ? "" : "/"}${projectName}`;
        const matchGroups = (_a = repoUrl.match(/(?<baseUrl>http.+\.com)\/(?<owner>[a-zA-Z0-9\-]+)\/(?<repo>[a-zA-Z0-9\-]+)/)) === null || _a === void 0 ? void 0 : _a.groups;
        if (matchGroups) {
            const { baseUrl, owner, repo } = matchGroups;
            return {
                baseUrl,
                owner,
                repo,
            };
        }
        throw new Error(`Invalid repo url: ${repoUrl}. Should match {baseUrl}/{owner}/{repo}`);
    }
}
exports.RegexExtractor = RegexExtractor;
