/**
 * Retry async function for a specified number of times, sleeping between each try
 *
 * @param {any} action Function to be executed
 * @param {number} retriesAllowed Retries allowed. Default to 3
 * @param {number} sleepBetweenRetries Seconds to sleep between tries. Default to 1
 * @returns {Promise} Result of action
 */
export declare function retryAsync<T = any>(action: () => Promise<T>, retriesAllowed?: number, sleepBetweenRetries?: number): Promise<T>;
